<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="group__group__canfd__macros" kind="group">
    <compoundname>group_canfd_macros</compoundname>
    <title>Macros</title>
    <innergroup refid="group__group__canfd__rx__interrupt__masks">RX Interrupt masks</innergroup>
    <innergroup refid="group__group__canfd__tx__interrupt__masks">TX Interrupt masks</innergroup>
    <innergroup refid="group__group__canfd__error__interrupt__masks">Error Interrupt masks</innergroup>
    <innergroup refid="group__group__canfd__interrupt__line__masks">Interrupt line selection masks</innergroup>
    <innergroup refid="group__group__canfd__last__state__masks">Protocol Status Register (PSR) masks</innergroup>
      <sectiondef kind="define">
      <memberdef id="group__group__canfd__macros_1gad2224dc28300965beb37064a382a9a22" kind="define" prot="public" static="no">
        <name>CY_CANFD_DRV_VERSION_MAJOR</name>
        <initializer>1U</initializer>
        <briefdescription>
<para>Driver major version. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_canfd.h" bodystart="271" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_canfd.h" line="271" />
      </memberdef>
      <memberdef id="group__group__canfd__macros_1ga587c6d08e2d802db001fcd444fd01010" kind="define" prot="public" static="no">
        <name>CY_CANFD_DRV_VERSION_MINOR</name>
        <initializer>10U</initializer>
        <briefdescription>
<para>Driver minor version. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_canfd.h" bodystart="274" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_canfd.h" line="274" />
      </memberdef>
      <memberdef id="group__group__canfd__macros_1gafb8cd7b876b2427b646dee536f8e3cae" kind="define" prot="public" static="no">
        <name>CY_CANFD_ID</name>
        <initializer><ref kindref="member" refid="group__group__syslib__macros__status__codes_1ga45c44ce91d1e20c64430f00fd8ad9b0e">CY_PDL_DRV_ID</ref>        (0x45U)</initializer>
        <briefdescription>
<para>CAN FD driver ID. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_canfd.h" bodystart="277" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_canfd.h" line="277" />
      </memberdef>
      <memberdef id="group__group__canfd__macros_1ga2ffb38faee5adf33871a30ad579404dc" kind="define" prot="public" static="no">
        <name>CY_CANFD_MESSAGE_DATA_BUFFER_SIZE</name>
        <initializer>(16U)</initializer>
        <briefdescription>
<para>Size of word data bytes in a receive or transmit operation (16word = 64byte) </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_canfd.h" bodystart="284" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_canfd.h" line="284" />
      </memberdef>
      <memberdef id="group__group__canfd__macros_1ga456b963f846a7f3e4ad2818bf4cfcf1e" kind="define" prot="public" static="no">
        <name>CY_CANFD_RX_FIFO0</name>
        <initializer>(0U)</initializer>
        <briefdescription>
<para>FIFO number 0. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_canfd.h" bodystart="287" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_canfd.h" line="287" />
      </memberdef>
      <memberdef id="group__group__canfd__macros_1ga4d1bdaa915507ec0207607740a6616fb" kind="define" prot="public" static="no">
        <name>CY_CANFD_RX_FIFO1</name>
        <initializer>(1U)</initializer>
        <briefdescription>
<para>FIFO number 1. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_canfd.h" bodystart="290" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_canfd.h" line="290" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>This section describes the CAN FD Macros. </para>    </briefdescription>
    <detaileddescription>
<para>These Macros can be used to check the interrupt and status flags. Detailed information about the macros is available in each macro description. </para>    </detaileddescription>
  </compounddef>
</doxygen>